//
//  AddCardViewController.m
//  pay
//
//  Created by Jasmin Suljic on 21/12/16.
//  Copyright © 2016 Webteh.hr. All rights reserved.
//

#import "AddCardViewController.h"
#import "WebtehWebView.h"
#import "PgwApi.h"

@interface AddCardViewController ()
@property (weak, nonatomic) IBOutlet WebtehWebView *webtehWebView;
@property (weak, nonatomic) IBOutlet UIActivityIndicatorView *progressBar;

@end

@implementation AddCardViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view.
    PgwApi *api = [[PgwApi alloc] init:@"00001111222233330000111122223333" isDebug:true];
    NSTimeInterval  today = [[NSDate date] timeIntervalSince1970];
    NSString *orderNumber = [NSString stringWithFormat:@"%.0f", today*1000];
    TransactionLifecycleAdapter * adapter = [[TransactionLifecycleAdapter alloc]
                                             init:self
                                             api:api merchantKey:@"TestKeyXULLyvgWyPJSwOHe"
                                             orderNumber:orderNumber
                                             mode:TRANSACTION_SUCCESS_MODE
                                             ];
    
    [_webtehWebView initialize:adapter isDebug:true timeout:500];
    
    Customer *customer = [[Customer alloc] init:@"Jasmin Suljic"
                                          email:@"jasmin.suljic@monri.com"
                                        address:@"Spionica bb"
                                    phoneNumber:@"+38761953988"
                                           city:@"Srebrenik"
                          ];
    
    
    AddCardModel *model = [[AddCardModel alloc] init:@"007007007007"
                                              client:@"ios"
                                           orderInfo:@"order info"
                                         orderNumber:orderNumber
                                                sign:@"009"
                                              amount:@"1340"
                                            currency:@"EUR"
                                        clientSecret:@"MegaSecretKey"
                                           authToken:@"00001111222233330000111122223333"
                                            customer: customer
                           ];
    [_webtehWebView addCard:model];
}

-(void) showProgress{
    NSLog(@"showProgress");
    [self.progressBar startAnimating];
}
-(void) hideProgress{
    NSLog(@"hideProgress");
    [self.progressBar stopAnimating];
}

-(void) handleTransactionError: (ApiError *) error{
    NSLog(@"handleTransactionError %@", error);
    [self hideProgress];
}

-(void) transactionSuccess: (TransactionSuccess *) success{
    NSLog(@"transactionSuccess %@", success);
}
    
-(void) logTransactionInfo:(NSString *)loggingInfo {
    NSLog(@"%@", loggingInfo);
}

@end
